Subject: [New Web site] Is it common to run Django in development mode?

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 12 Feb 2018 12:38:33 +0100

I'm clearly not a professional webmaster so I do not know the current
best practices. Is there some guidance about running a framework such
as Django in development mode when it is published on the Web?

https://www.ietf.org/meeting/78/index.html

Page not found (404)
Request Method: 	GET
Request URL: 	https://www.ietf.org/meeting/78/index.html

Using the URLconf defined in ietf.urls, Django tried these URL patterns, in this order:

    ^admin/doc/
    ^bibliography/
    ^django-admin/
    ^admin/
    ^documents/
    ^search/$ [name='search']
    ^static\/(?P<path>.*)$
    ^media\/(?P<path>.*)$
    ^test404/$
    ^test500/$
    ^datatracker/
    ^misc/
    ^_util/authenticate_with_password/(\d+)/(\d+)/$ [name='wagtailcore_authenticate_with_password']
    ^_util/login/$ [name='wagtailcore_login']
    ^((?:[\w\-]+/)*)$ [name='wagtail_serve']

The current path, meeting/78/index.html, didn't match any of these.

You're seeing this error because you have DEBUG = True in your Django settings file. Change that to False, and Django will display a standard 404 page.

[It is already reported, [www.ietf.org/rt #204767], but I was looking
for more advices. Also, note that this URL worked before the new Web
site broke a lot of old links that are present in many places.]